Bug 994293 - Cancelling an upload causes a database lock exception
Summary: Cancelling an upload causes a database lock exception
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic (Show other bugs)
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: ---
: 3.5
Assignee: Damian Jansen
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 994362
TreeView+ depends on / blocked
 
Reported: 2013-08-07 01:59 UTC by Damian Jansen
Modified: 2015-01-26 23:27 UTC (History)
1 user (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1862)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2013-08-07 01:59:54 UTC
Description of problem:
There are two possible outcomes of cancelling a Source Document upload.
- The upload fails and the user is given an Error display
- The upload continues and succeeds, but a subsequent upload will fail not being able to access the lock

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Intermittent, easy to reproduce

Steps to Reproduce:
Pre: A reasonably large file, say 2MB, is available. I used Moby Dick txt from Gutenberg
1. Go to Project Version, Source Documents
2. Press Upload Document
3. Select the test file
4. Press upload, and after a second, press Cancel
5. Repeat 2 - 4 until error occurs

Actual results:
Error page:-
11:45:32,988 ERROR [org.jboss.seam.exception.Exceptions] (http-/127.0.0.1:8080-3) handled and logged exception: javax.el.ELException: org.jboss.seam.core.LockTimeoutException: could not acquire lock on @Synchronized component: projectIterationFilesAction

Expected results:
A cancelled upload, or the button should be closing the dialog only.

Additional info:
Once, I got a bunch of lines like this:-
A soft-locked cache entry was expired by the underlying Ehcache. If this happens regularly you should consider increasing the cache timeouts and/or capacity limits
11:24:25,165 WARN  [org.hibernate.cache.ehcache.internal.strategy.AbstractReadWriteEhcacheAccessStrategy] (http-/127.0.0.1:8080-5) HHH020008: Cache[org.zanata.model.HTextFlow.targets] Key[org.zanata.model.HTextFlow.targets#34143] Lockable[(null)]

Comment 1 Damian Jansen 2013-08-12 01:00:50 UTC
The Cancel button in question is not for aborting the process, but for closing the dialog.

Comment 2 Damian Jansen 2014-07-24 01:34:58 UTC
Retest after Multi-file Upload RFE https://github.com/zanata/zanata-server/pull/400 is merged.


Note You need to log in before you can comment on or make changes to this bug.